Summary:	MATE Desktop settings daemon
Summary(pl.UTF-8):	Demon ustawień środowiska MATE Desktop
Name:		mate-settings-daemon
Version:	1.6.2
Release:	2
License:	GPL v2+
Group:		X11/Applications
Source0:	http://pub.mate-desktop.org/releases/1.6/%{name}-%{version}.tar.xz
# Source0-md5:	551b2c2204b67ee2ffc9d49051d35efb
URL:		http://wiki.mate-desktop.org/mate-settings-daemon
BuildRequires:	dbus-devel >= 1.1.2
BuildRequires:	dbus-glib-devel >= 0.74
BuildRequires:	dconf-devel >= 0.13.4
BuildRequires:	fontconfig-devel
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.26.0
BuildRequires:	gstreamer0.10-devel >= 0.10.1.2
BuildRequires:	gstreamer0.10-plugins-base-devel >= 0.10.1.2
BuildRequires:	gtk+2-devel >= 2:2.24.0
BuildRequires:	intltool >= 0.37.1
BuildRequires:	libcanberra-gtk-devel
BuildRequires:	libmatekbd-devel >= 1.6.1
BuildRequires:	libnotify-devel >= 0.7.0
BuildRequires:	libxklavier-devel >= 5.0
BuildRequires:	mate-common
BuildRequires:	mate-desktop-devel >= 1.5.0
BuildRequires:	nss-devel >= 3.11.2
BuildRequires:	pkgconfig
BuildRequires:	polkit-devel >= 0.97
BuildRequires:	pulseaudio-devel >= 0.9.16
BuildRequires:	rpmbuild(macros) >= 1.596
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-lib-libSM-devel
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXi-devel
BuildRequires:	xorg-lib-libXxf86misc-devel
BuildRequires:	xz
Requires:	dbus >= 1.1.2
Requires:	dbus-glib >= 0.74
Requires:	dconf >= 0.13.4
Requires:	glib2 >= 1:2.26.0
Requires:	gsettings-desktop-schemas
Requires:	gtk+2 >= 2:2.24.0
Requires:	gtk-update-icon-cache
Requires:	libmatekbd >= 1.6.1
Requires:	libnotify >= 0.7.0
Requires:	libxklavier >= 5.0
Requires:	mate-desktop >= 1.5.0
Requires:	mate-icon-theme
Requires:	polkit >= 0.97
Requires:	pulseaudio-libs >= 0.9.16
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# NOTE: we must move %{_libexecdir}/mate-settings-daemon out of %{_libdir},
# because it conflicts with %{_libdir}/mate-settings-daemon plugin dir
# (not using %{_libdir}/%{name} not to mess programs with plugins)
%define		_libexecdir %{_libdir}/mate-settings-daemon-exec

%description
MATE Desktop settings daemon. It's a fork of gnome-settings-daemon.

%description -l pl.UTF-8
Demon ustawień środowiska MATE Desktop. Jest to odgałęzienie pakietu
gnome-settings-daemon.

%package devel
Summary:	Development files for mate-settings-daemon
Summary(pl.UTF-8):	Pliki programistyczne pakietu mate-settings-daemon
Group:		Development/Libraries
# doesn't require base
Requires:	dbus-devel >= 1.1.2
Requires:	dbus-glib-devel >= 0.74
Requires:	glib2-devel >= 1:2.26.0

%description devel
Development files for mate-settings-daemon.

%description devel -l pl.UTF-8
Pliki programistyczne pakietu mate-settings-daemon.

%prep
%setup -q

%build
%configure \
	--libexecdir=%{_libdir}/mate-settings-daemon-exec \
	--enable-gstreamer \
	--enable-polkit \
	--disable-schemas-compile \
	--disable-silent-rules \
	--disable-static \
	--with-gnu-ld \
	--with-nssdb \
	--with-x

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install -j1 \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/%{name}/*.la

# mate < 1.5 did not exist in pld, avoid dependency on mate-conf
%{__rm} $RPM_BUILD_ROOT%{_datadir}/MateConf/gsettings/mate-settings-daemon.convert

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache mate
%glib_compile_schemas

%postun
%update_icon_cache mate
if [ "$1" -eq 0 ]; then
	%glib_compile_schemas
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%dir %{_libexecdir}
%attr(755,root,root) %{_libexecdir}/mate-settings-daemon
%attr(755,root,root) %{_libexecdir}/msd-datetime-mechanism
%attr(755,root,root) %{_libexecdir}/msd-locate-pointer
%dir %{_libdir}/mate-settings-daemon
%attr(755,root,root) %{_libdir}/mate-settings-daemon/*.so
%{_libdir}/mate-settings-daemon/*.mate-settings-plugin
%{_datadir}/mate-settings-daemon
%{_datadir}/dbus-1/services/org.mate.SettingsDaemon.service
%{_datadir}/dbus-1/system-services/org.mate.SettingsDaemon.DateTimeMechanism.service
%{_datadir}/glib-2.0/schemas/org.mate.applications-at.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.font-rendering.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.keybindings.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.peripherals-smartcard.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.peripherals-touchpad.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.SettingsDaemon.plugins.*.gschema.xml
%{_datadir}/polkit-1/actions/org.mate.settingsdaemon.datetimemechanism.policy
/etc/dbus-1/system.d/org.mate.SettingsDaemon.DateTimeMechanism.conf
%{_sysconfdir}/xdg/autostart/mate-settings-daemon.desktop
%{_iconsdir}/mate/*/actions/touchpad-*.*
%{_iconsdir}/mate/*/apps/msd-xrandr.*

%files devel
%defattr(644,root,root,755)
%{_includedir}/mate-settings-daemon
%{_pkgconfigdir}/mate-settings-daemon.pc
%changelog
* Mon Dec 23 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mate-settings-daemon.git;a=log;h=master

* Mon Dec 23 2013 Jakub Bogusz <qboosh@pld-linux.org> d5bf790
- release 2

* Mon Dec 23 2013 Jakub Bogusz <qboosh@pld-linux.org> 03126f5
- pl, completed dependencies, resolved libexecdir vs plugindir mess

* Tue Dec 17 2013 Jan Palus <jan.palus@gmail.com> 8583129
- up to 1.6.2

* Sun Nov 03 2013 Jan Rękorajski <baggins@pld-linux.org> 7393b55
- release 3 (by relup.sh)

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 9a0283c
- release 2 (by relup.sh)

* Tue Jun 25 2013 Elan Ruusamäe <glen@delfi.ee> 7a57e0e
- up to 1.6.1

* Thu Apr 04 2013 Elan Ruusamäe <glen@delfi.ee> d484393
- up to 1.6.0

* Mon Mar 25 2013 Elan Ruusamäe <glen@delfi.ee> cc9d40a
- up to 1.5.7

* Thu Mar 14 2013 Elan Ruusamäe <glen@delfi.ee> 7477c4b
- up to 1.5.6

* Mon Feb 25 2013 Elan Ruusamäe <glen@delfi.ee> 773ae0d
- more libnotify 0.7 fixes

* Mon Feb 25 2013 Elan Ruusamäe <glen@delfi.ee> 79259fa
- notify_notification_attach_to_status_icon removal

* Mon Feb 25 2013 Elan Ruusamäe <glen@delfi.ee> 65bc0fe
- update to libnotify 0.7 api

* Mon Feb 18 2013 Elan Ruusamäe <glen@delfi.ee> 4f7b705
- adjust api changes for notify_notification_new >= 0.7

* Mon Feb 18 2013 Elan Ruusamäe <glen@delfi.ee> 6425a0a
- use libnotify not libmatenotify

* Mon Feb 11 2013 Elan Ruusamäe <glen@delfi.ee> 9b8a04c
- up to 1.5.5

* Thu Jan 17 2013 Elan Ruusamäe <glen@delfi.ee> 9382b87
- BR, gettext-devel, cleanup deps, by cleanbuild

* Tue Jan 15 2013 Elan Ruusamäe <glen@delfi.ee> 811cc4b
- icons dirs packaged in mate-icon-theme

* Tue Jan 15 2013 Elan Ruusamäe <glen@delfi.ee> 22dab0b
- more specific url; package names in deps

* Sat Dec 22 2012 Elan Ruusamäe <glen@delfi.ee> adba379
- tar.xz deps

* Sat Dec 22 2012 Elan Ruusamäe <glen@delfi.ee> e0b99e3
- new, version 1.5.4

